## org.codehaus.groovy.grails.plugins.web.filters
Class DefaultGrailsFiltersClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.plugins.web.filters.DefaultGrailsFiltersClass

All Implemented Interfaces:
  groovy.lang.GroovyObject, GrailsClass, InjectableGrailsClass, GrailsFiltersClass

    public class DefaultGrailsFiltersClass

extends AbstractInjectableGrailsClass
implements GrailsFiltersClass, groovy.lang.GroovyObject

Constructor Summary
`DefaultGrailsFiltersClass(Class aClass)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`List` `getConfigs(Object filters)`
`static Object` `getFILTERS()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`static void` `setFILTERS(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractGrailsClass

`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.commons.InjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, newInstance`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass`

Constructor Detail

### DefaultGrailsFiltersClass

    public DefaultGrailsFiltersClass(Class aClass)

Method Detail

### getFILTERS

    public static Object getFILTERS()

### setFILTERS

    public static void setFILTERS(Object value)

### getConfigs

    public List getConfigs(Object filters)

  Specified by:
    `getConfigs` in interface `GrailsFiltersClass`
  Returns:
    A list of FilterConfig instances

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project